# Run Trivy Image Scanner GitHub Action

This GitHub Action scans Docker images for vulnerabilities, secrets, licenses, and misconfigurations using [Trivy](https://github.com/aquasecurity/trivy).

## Inputs

| Input Name | Description           | Required | Type   |
|------------|-----------------------|----------|--------|
| `image`    | The Docker image to scan. | Yes      | string |

## Usage

This action can be used in other workflows with `workflow_call`. Here’s an example:

```yaml
jobs:
  scan:
    uses:DevFW-CICD/vulnerability-scan/.github/workflows/trivy-image-scan.yml@main
    with:
      image: 'my-registry.com/project/image:latest'
```
